Subject: Re: bug#76231: Jami 20240524.0 not working on Guix System but working on foreign distro

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 16 Feb 2025 10:57:47 +0900

Hi Giovanni,

Giovanni Biscuolo <[email-masked]> writes:

> Hello Maxim,
>
> thank you for your interest in this bug report.
>
> First of all: please are you succesfully running Jami on a Guix System
> and if yes what's its version?

It's been a while I've tried to make actual calls, with my last
experience (perhaps 2 months ago) was not successful in establish calls
to another Guix System user.  I've definitely used it successfully in
the past.

> Maxim Cournoyer <[email-masked]> writes:
>
>> Divya Ranjan <[email-masked]> writes:
>>
>>> Hello again Giovanni,
>>>
>>> I’ll just go ahead and CC some old developers from Guix who were
>>> initially part of bringing Jami to Guix. Found them by searching down
>>> the mailing list[0].
>>>
>>> Hopefully y’all can guide us a bit with regards to where things are going wrong.
>>
>> I'm guessing it's simply getting a bit dated?
>
> I guess you are guessing the Jami I'm running is a little bit dated: I'm
> using the last available package in guix, please see the subject.
>
> Or are you guessing that 20240524.0 packaged in Guix is a little bit
> dated?

The later, yes.  The latest stable release 20241126, and there are
recent nightlies as well.

> Anyway...
>
>> In my experience, as soon as you fall one on a few stable releases
>> behind, you start experimenting more problems.  I'm not sure if Jami
>> is supposed to be backward compatible with previous versions, but even
>> if it was, it's probably not super well tested.
>
> As I reported in the first message of this bug report thread, the issue
> I'm [1] experiencing it's _only_ when running Jami 20240524.0 on a Guix
> System, the very same version - installed via guix as package manager -
> is running (very) well on Debian.
>
> Maybe it's just some missing dependency in the package definition that
> luckily is installed in on my Debian sistems?

I wouldn't expect something missing, but perhaps some service component
is Debian is behaving differently/e.g. NetworkManager, which Jami uses
to detect connection changes.  I'm not sure.  Or our nss-certs
certificates used on Guix System may be too old.

> I'd like to help finding what is making running Jami problematic on a
> Guix System but I don't know what to do except reporting the logs I
> found (see my first message in the bug report)

Oh, apologies for missing that earlier; I thought you were comparing
different versions of Jami.  That's indeed very curious/interesting that
the same Guix jami package would work on better on a foreign
distribution than on Guix System.  I'm not sure how you could go to
debug this...

Perhaps you could compare their strace captures?  You may find a hint of
a notable difference there.  I use 'emacs-strace-mode' to open .strace
files I've generated with e.g.

--8<---------------cut here---------------start------------->8---
$ strace -f -s600 -ojami.strace jami -d
--8<---------------cut here---------------end--------------->8---

-- 
Thanks,
Maxim